Tag: android gradle

Utilisation de Proguard pour supprimer les classes inutilisées dans la bibliothèque Google Play Services

J'essaie de me débarrasser des cours non utilisés de la bibliothèque Google Play Services . J'ai créé un nouveau projet Android avec une seule activité vide. Le projet n'utilise rien de la bibliothèque Google Play Services . Je m'attends donc à ce que lorsque je crée une version (qui inclut l'exécution de proguard dans ma […]

Flacons de produit Android Gradle avec notifications de Parse Push

J'essaie d'envoyer des notifications push via Parse et d'intégrer les saveurs de produits. Lorsque je met en œuvre les saveurs du produit, je ne peux pas recevoir les notifications de Parse Push. Quelqu'un at-il des conseils sur la correction de ce problème? Fichier de l'application Gradle: apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion "21.1.2" […]

Le conflit entre la liaison de données Android et la goyave provoque une erreur ProGuard

Je reçois l'erreur suivante lors de la compilation de mon application Android avec ProGuard activé. Warning: library class android.databinding.tool.util.SourceCodeEscapers$1 extends or implements program class com.google.common.escape.CharEscaper Warning: library class android.databinding.tool.util.SourceCodeEscapers$JavaCharEscaper extends or implements program class com.google.common.escape.ArrayBasedCharEscaper Warning: library class android.databinding.tool.util.SourceCodeEscapers$JavaCharEscaperWithOctal extends or implements program class com.google.common.escape.ArrayBasedCharEscaper Warning: there were 3 instances of library classes depending on […]

La synchronisation du projet gradle a échoué. La fonctionnalité de base (par exemple, l'édition, le débogage) ne fonctionnera pas correctement dans Android Studio 1.0.1

J'ai commencé à utiliser Android Studio 1.0.1 et il n'y a rien que je puisse faire car j'ai cette erreur et même le XML ne peut pas être rendu. Erreur: impossible de démarrer le processus de démon. Ce problème peut être dû à une configuration incorrecte du démon. Par exemple, une option jvm non reconnue […]

Définissez LOCAL_SRC_FILES dans ndk {} DSL

J'aimerais savoir s'il est possible de définir LOCAL_SRC_FILES dans gradle.build ndk {} block. J'utilise actuellement: dependencies { classpath 'com.android.tools.build:gradle:1.3.0' } Dans mon fichier gradle.build de niveau supérieur. Mon fichier gradie.build de module jni ressemble à ceci: apply plugin: 'com.android.library' dependencies { compile fileTree(dir: 'libs', include: '*.jar') } android { compileSdkVersion 11 buildToolsVersion "22.0.1" def jniSrc […]

Mise à niveau vers les causes de Gradle 2.1.0 – Impossible d'étendre l'erreur ZIP

J'ai récemment mis à jour le plugin gradle de mon projet Android vers 2.1.0 partir de 2.1.0-alpha4 . Mais maintenant, je vois que toutes mes compilations échouent avec un message comme tel: Error:Execution failed for task ':App:compileUpdemoDebugJavaWithJavac'. > Could not expand ZIP '/Users/admin/work/app/libs/lib-android-0.11.0.jar'. Si je renvoie mon plugin gradle à la version 2.1.0-alpha4 précédente, définissez […]

Android – Exécutez uniquement la tâche Gradle sur la variante de version

J'essaie de configurer mon fichier build.gradle pour exécuter uniquement une tâche gradle lorsque la variante de construction de sortie est sélectionnée. Jusqu'à présent, ma tâche est toujours exécutée, que ce soit dans mes types de construction de débogage ou de libération ou de configuration de signature. J'ai essayé d'ajouter ma tâche dans un bloc de […]

Toutes les bibliothèques com.google.android.gms doivent utiliser la même spécification de version exacte?

Je reçois le message d'avertissement suivant dans ma note de compile 'com.google.android.gms:play-services-analytics:9.2.0' pour la compile 'com.google.android.gms:play-services-analytics:9.2.0' ligne compile 'com.google.android.gms:play-services-analytics:9.2.0' . Qu'est-ce que ça veut dire? All com.google.android.gms libraries must use the exact same version specification (mixing versions can lead to runtime crashes). Found versions 9.2.0, 8.4.0. Examples include com.google.android.gms:play-services-basement:9.2.0 and com.google.android.gms:play-services-ads:8.4.0 less… (Ctrl+F1) There are […]

Studio Android 1.1.0 minifyEnabled vrai causant des problèmes avec l'application

Voici mon fichier gradle.build defaultConfig { minSdkVersion 15 targetSdkVersion 21 versionCode 2 versionName "1.0" } buildTypes { release { minifyEnabled true proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } Proguard-rules.pro file -keepclassmembers class * extends de.greenrobot.dao.AbstractDao { public static java.lang.String TABLENAME; } -keep class **$Properties -dontwarn com.squareup.** -dontwarn okio.** -dontwarn retrofit.** -dontwarn org.joda.time.** J'ai une de la classe […]

La synchronisation Gradle a échoué: Cause: org / gradle / listener / ActionBroadcast

Obtenir cette erreur dans Android studio canary 3.0 aperçu tout en construisant.

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.